#!/bin/bash
# Projet SambaEdu - distribué selon la licence GPL
##### Permet la génération du preseed de se4-AD et se4-FS#####
### Auteur : denis bonnenfant@sambaedu.org
## Version 0.4 -04-2020 - adaptation pour installation depuis zero##

##




# Lecture des fonctions communes
. /usr/share/sambaedu/includes/config.inc.sh

config_REALM=${config_domain^^}
#config_distribution=$(lsb_release -cs)
config_distribution="bookworm"
zcat /usr/share/doc/sambaedu/se4ad.preseed.example > /var/www/sambaedu/ipxe/diconf/se4ad.preseed
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_mirror_name
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_domain
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_samba_domain
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_ldap_base_dn
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_ldap_admin_passwd
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_admin_passwd
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_linux_user_passwd
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_linux_user
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_se4ad_ip
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_se4ad_name
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_se4fs_ip
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_se4fs_name
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_mask
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_gateway
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_nameserver
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_REALM
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_proxy_url
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_distribution
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_depot_type
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_se4_pub_key
write_param /var/www/sambaedu/ipxe/diconf/se4ad.preseed config_interface

echo $config_se4_pub_key > /var/www/sambaedu/ipxe/diconf/authorized_keys
